# Uses of Interface
org.bukkit.command.CommandMap

Packages that use CommandMap
Package
Description
org.bukkit
The root package of the Bukkit API, contains generalized API classes.
org.bukkit.command
Classes relating to handling specialized non-chat player input.

## Uses of CommandMap in org.bukkit

Methods in org.bukkit that return CommandMap
Modifier and Type
Method
Description
`static CommandMap`
Bukkit.`getCommandMap()`
Gets the active `CommandMap`
`CommandMap`
Server.`getCommandMap()`
Gets the active `CommandMap`

## Uses of CommandMap in org.bukkit.command

Classes in org.bukkit.command that implement CommandMap
Modifier and Type
Class
Description
`class`
`SimpleCommandMap`
Methods in org.bukkit.command with parameters of type CommandMap
Modifier and Type
Method
Description
`boolean`
Command.`register(@NotNull CommandMap commandMap)`
Registers this command to a CommandMap.
`boolean`
Command.`unregister(@NotNull CommandMap commandMap)`
Unregisters this command from the passed CommandMap applying any outstanding changes